from .models import Player, Team, Season, Goal, Game, Division
from django.contrib import admin

# Register your models here.
@admin.register(Player)
class PlayerAdmin(admin.ModelAdmin):
  list_display = ["last_name", "first_name"]
  search_fields = ["last_name", "first_name"]

@admin.register(Season)
class SeasonAdmin(admin.ModelAdmin):
  list_display = ["name", "start_date", "end_date"]
  list_display = ["name", "start_date", "end_date"]

@admin.register(Game)
class GameAdmin(admin.ModelAdmin):
  list_display = ["name", "home_team", "away_team", "date_of", "time_of"]
  search_fields = ["name", "home_team", "away_team", "date_of", "time_of"]

@admin.register(Goal)
class GoalAdmin(admin.ModelAdmin):
  list_display = ["game", "scorer"]
  search_fields = ["game", "scorer"]

@admin.register(Team)
class TeamAdmin(admin.ModelAdmin):
  list_display = ["name", "season"]
  search_fields = ["name", "season"]

@admin.register(Division)
class DivisionAdmin(admin.ModelAdmin):
  list_display = ["name"]
  search_fields = ["name"]
