# Generated by Django 3.2.13 on 2022-05-04 19:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Division',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('_name', models.CharField(blank=True, max_length=64, null=True)),
                ('date_of', models.DateField()),
                ('time_of', models.TimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Season',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('start_date', models.DateField(blank=True, null=True)),
                ('end_date', models.DateField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('division', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='teams', to='core.division')),
                ('season', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='teams', to='core.season')),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=32)),
                ('last_name', models.CharField(max_length=32)),
                ('middle_names', models.CharField(blank=True, max_length=64)),
                ('teams', models.ManyToManyField(blank=True, related_name='players', to='core.Team')),
            ],
        ),
        migrations.CreateModel(
            name='Goal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assists', models.ManyToManyField(blank=True, related_name='assists', to='core.Player')),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='goals', to='core.game')),
                ('scorer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='goals', to='core.player')),
            ],
        ),
        migrations.AddField(
            model_name='game',
            name='away_team',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='away_games', to='core.team'),
        ),
        migrations.AddField(
            model_name='game',
            name='home_team',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='home_games', to='core.team'),
        ),
        migrations.AddField(
            model_name='game',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='games', to='core.season'),
        ),
    ]
